[% nowrapper=1 %]
[% process_template = 'form/' _ c.config.gemeente_id _ '/header.tt' %]
[% PROCESS $process_template %]

[% layout_type = 'simple' %]

[% BLOCK process_alt_authentication_fields %]

[%
  matches = name.match('^(?:password|wachtwoord)');
  IF matches;
    type="password";
  ELSE;
    type="text";
  END;
%]

<div class="row">
    <div class="column large-4">
      <label for="[% id %]">[% label %] [% IF required %] * [% END %]</label>
    </div>
    <div class="column large-8">
      <input type="[% type %]" name="[% name %]" id="[% id %]"
      [% IF prefill %]value="[% prefill | html %]"[% END %]
      [% IF readonly %]readonly[% END %]>
      [% PROCESS widgets/general/validator.tt %]
    </div>
</div>
[%# These variables are global unfortunatly %]
[% readonly = 0; prefill  = ""; %]
[% END %]

[% IF no_activation_code %]
<div id="loginwrap" class="alt-auth-register alt-auth">
    <div class="block">
        <div class="block-header">
            <h1>Registreer een account</h1>
        </div>
        <div class="block-content clearfix">

            <ul class="form-navigation">
                <li class="stap first done active">Geen geldige activatiecode</li>
            </ul>
            [% IF twofactor_error %]
                <span class="alt-auth-error">[% twofactor_error %]</span>
            [% END %]
        </div>
      </div>
    </div>
  </div>
</div>
[% ELSE %]
<div id="loginwrap" class="alt-auth-register alt-auth">
    <div class="block">
        <div class="block-header">
            <h1>Registreer een account</h1>
        </div>
        <div class="block-content clearfix">

            <ul class="form-navigation"> 
                <li class="stap first done active">Registratiegegevens</li>
                <li class="stap next-to-active">Accountactivatie bevestigen</li>
            </ul>

            <div class="alt-auth-register-form-1">
                <div class="alt-auth-intro">
            [% IF twofactor_error %]
                <span class="alt-auth-error">[% twofactor_error %]</span>
            [% END %]

                <span class="alt-auth-intro-text">[% twofactor_intro_text %]</span>
                </div>

                <div class="form-required-fields-explanation">
                    * = Verplicht veld
                </div>
                <form action="[% c.uri_for('/auth/twofactor/process_activation') | html_entity %]"
                      method="POST"
                      class="zvalidate"
                      onsubmit="account-creation.disabled = true; return true;"
                >
                    <input type="hidden" name="subject_type"  value="[% aanvrager_type %]">
                    <input type="hidden" name="activation_code" value="[% activation_code %]">
                    <div class="grid-table">
                        [% IF aanvrager_type == 'company' %]
                          [% PROCESS process_alt_authentication_fields
                                     id       = "kvk"
                                     name     = "kvknummer"
                                     label    = "KvK-nummer"
                                     required = 1,
                                     prefill  = subject.properties.kvknummer
                          %]
                          [% PROCESS process_alt_authentication_fields
                                     id    = "estnr"
                                     name  = "vestigingsnummer"
                                     label = "Vestigingsnummer"
                                     required = 0
                                     prefill  = subject.properties.vestigingsnummer
                          %]
                        [% END %]
                        [% PROCESS process_alt_authentication_fields
                                   id       = "email"
                                   name     = "email"
                                   label    = "Email-adres"
                                   required = 1
                                   prefill  = subject.username
                        %]
                        [% PROCESS process_alt_authentication_fields
                                   id       = "ww"
                                   name     = "password"
                                   label    = "Wachtwoord"
                                   required = 1
                        %]
                        [% PROCESS process_alt_authentication_fields
                                   id       = "ww2"
                                   name     = "password_check"
                                   label    = "Wachtwoord nogmaals"
                                   required = 1
                        %]
                        [% PROCESS process_alt_authentication_fields
                                   id       = "mobile"
                                   name     = "phone"
                                   label    = "Mobiel telefoonnummer"
                                   required = 1
                                   prefill  = subject.properties.phone_number
                        %]

                    </div>

                    [% PROCESS plugins/twofactor/activate_buttons.tt %]

                </form>

            </div>
        </div>
    </div>
</div>
[% END %]

[% process_template = 'form/' _ c.config.gemeente_id _ '/footer.tt' %]
[% PROCESS $process_template %]
